<template>
  <div class="star-rating">
    <i class="material-icons">
    {{
      rating < 0.25 ? 'star_border'
    : rating < 1 ? 'star_half'
    : 'star'
    }}
    </i>
    <i class="material-icons">
    {{
      rating < 1.25 ? 'star_border'
    : rating < 2 ? 'star_half'
    : 'star'
    }}
    </i>
    <i class="material-icons">
    {{
      rating < 2.25 ? 'star_border'
    : rating < 3 ? 'star_half'
    : 'star'
    }}
    </i>
    <i class="material-icons">
    {{
      rating < 3.25 ? 'star_border'
    : rating < 4 ? 'star_half'
    : 'star'
    }}
    </i>
    <i class="material-icons">
    {{
      rating < 4.25 ? 'star_border'
    : rating < 5 ? 'star_half'
    : 'star'
    }}
    </i>
  </div>
</template>

<script>
export default {
  props: {
    rating: Number,
  },
}
</script>

<style lang="scss">
.star-rating {
  margin-top: 10px;
}
</style>
